8000 cppreference-doc/skins/cppreference2/screen.css at master · killerbee13/cppreference-doc · GitHub
[go: up one dir, main page]

Skip to content

Latest commit

 

History

History
1213 lines (1116 loc) · 25.4 KB

File metadata and controls

1213 lines (1116 loc) · 25.4 KB
border: solid 1px #cccccc;
padding: 1.2em;
margin: .5em;
float: left;
}
#userlogin {
min-width: 20em;
max-width: 90%;
width: 40em;
}
/*
*
* The following code is slightly modified from monobook
*
*/
div#content {
line-height: 1.5em;
}
#bodyContent {
font-size: 0.8em;
line-height: 1.5em;
width: 100%;
}
/* Links */
a {
text-decoration: none;
color: #0645ad;
background: none;
}
a:visited {
color: #0b0080;
}
a:active {
color: #faa700;
}
a:hover, a:focus {
text-decoration: underline;
}
a.stub {
color: #772233;
}
a.new, #p-personal a.new {
color: #ba0000;
}
a.new:visited, #p-personal a.new:visited {
color: #a55858;
}
/* Inline Elements */
img {
border: none;
vertical-align: middle;
}
hr {
height: 1px;
color: #aaa;
background-color: #aaa;
border: 0;
margin: .2em 0 .2em 0;
}
/* Structural Elements */
h1,
h2,
h3,
h4,
h5,
h6 {
color: black;
background: none;
font-weight: normal;
margin: 0;
overflow: hidden;
padding-top: .5em;
padding-bottom: .17em;
border-bottom: 1px solid #aaa;
width: auto;
}
h1 { font-size: 188%; }
h1 .editsection { font-size: 53%; }
h2 { font-size: 150%; }
h2 .editsection { font-size: 67%; }
h3,
h4,
h5,
h6 {
border-bottom: none;
font-weight: bold;
}
h3 { font-size: 132%; }
h3 .editsection { font-size: 76%; font-weight: normal; }
h4 { font-size: 116%; }
h4 .editsection { font-size: 86%; font-weight: normal; }
h5 { font-size: 100%; }
h5 .editsection { font-weight: normal; }
h6 { font-size: 80%; }
h6 .editsection { font-size: 125%; font-weight: normal; }
.editsection { float: right; }
p {
margin: .4em 0 .5em 0;
line-height: 1.5em;
}
p img {
margin: 0;
}
q {
font-family: Times, "Times New Roman", serif;
font-style: italic;
}
/* Disabled for now
blockquote {
font-family: Times, "Times New Roman", serif;
font-style: italic;
}*/
pre, code, tt, kbd, samp {
/*
* It's important for this rule to first reference an actual font name, some browsers will render the monospace text
* too small otherwise, namely Firefox, Chrome and Safari
*/
font-family: monospace, "Courier New";
}
code {
background-color: #f9f9f9;
}
pre {
padding: 1em;
border: 1px dashed #2f6fab;
color: black;
background-color: #f9f9f9;
line-height: 1.3em;
}
ul {
line-height: 1.5em;
list-style-type: square;
margin: .3em 0 0 1.5em;
padding: 0;
/* @embed */
list-style-image: url(images/bullet-icon.png);
}
ol {
line-height: 1.5em;
margin: .3em 0 0 3.2em;
padding: 0;
list-style-image: none;
}
li {
margin-bottom: .1em;
}
dt {
font-weight: bold;
margin-bottom: .1em;
}
dl {
margin-top: .2em;
margin-bottom: .5em;
}
dd {
line-height: 1.5em;
margin-left: 2em;
margin-bottom: .1em;
}
/* Tables */
table {
font-size: 100%;
}
/* Forms */
fieldset {
border: 1px solid #2f6fab;
margin: 1em 0 1em 0;
padding: 0 1em 1em;
line-height: 1.5em;
}
fieldset.nested {
margin: 0 0 0.5em 0;
padding: 0 0.5em 0.5em;
}
legend {
padding: .5em;
font-size: 95%;
}
form {
border: none;
margin: 0;
}
textarea {
width: 100%;
padding: .1em;
}
select {
vertical-align: top;
}
/* Table of Contents */
#toc,
.toc,
.mw-warning {
border: 1px solid #aaa;
background-color: #f9f9f9;
padding: 5px;
font-size: 95%;
}
#toc h2,
.toc h2 {
display: inline;
border: none;
padding: 0;
font-size: 100%;
font-weight: bold;
}
#toc #toctitle,
.toc #toctitle,
#toc .toctitle,
.toc .toctitle {
text-align: center;
}
#toc ul,
.toc ul {
list-style-type: none;
list-style-image: none;
margin-left: 0;
padding: 0;
text-align: left;
}
#toc ul ul,
.toc ul ul {
margin: 0 0 0 2em;
}
#toc .toctoggle,
.toc .toctoggle {
font-size: 94%;
}
/* Images */
/* @noflip */div.floatright, table.floatright {
margin: 0 0 .5em .5em;
border: 0;
}
div.floatright p { font-style: italic; }
/* @noflip */div.floatleft, table.floatleft {
margin: 0 .5em .5em 0;
border: 0;
}
div.floatleft p { font-style: italic; }
/* Thumbnails */
div.thumb {
margin-bottom: .5em;
width: auto;
background-color: transparent;
}
div.thumbinner {
border: 1px solid #ccc;
padding: 3px !important;
background-color: #f9f9f9;
font-size: 94%;
text-align: center;
overflow: hidden;
}
html .thumbimage {
border: 1px solid #ccc;
}
html .thumbcaption {
border: none;
text-align: left;
line-height: 1.4em;
padding: 3px !important;
font-size: 94%;
}
div.magnify {
float: right;
border: none !important;
background: none !important;
}
div.magnify a, div.magnify img {
display: block;
border: none !important;
background: none !important;
}
/* @noflip */div.tright {
margin: .5em 0 1.3em 1.4em;
}
/* @noflip */div.tleft {
margin: .5em 1.4em 1.3em 0;
}
img.thumbborder {
border: 1px solid #dddddd;
}
/* Warning */
.mw-warning {
margin-left: 50px;
margin-right: 50px;
text-align: center;
}
/* User Message */
.usermessage {
background-color: #ffce7b;
border: 1px solid #ffa500;
color: black;
font-weight: bold;
margin: 2em 0 1em;
padding: .5em 1em;
vertical-align: middle;
}
/* Site Notice (includes notices from CentralNotice extension) */
#siteNotice {
position: relative;
text-align: center;
font-size: 0.8em;
margin: 0;
}
#localNotice {
margin-bottom: 0.9em;
}
/* Categories */
.catlinks {
border: 1px solid #aaa;
background-color: #f9f9f9;
padding: 5px;
margin-top: 1em;
clear: both;
}
/* Sub-navigation */
#siteSub {
display: none;
}
#contentSub, #contentSub2 {
font-size: 84%;
line-height: 1.2em;
margin: 0 0 1.4em 1em;
color: #7d7d7d;
width: auto;
}
span.subpages {
display: block;
}
/* Emulate Center */
0